%global homedir %{_datadir}/%{name}
%global confdir extras/packaging/rpm/sources
%global foreman_rake %{_sbindir}/%{name}-rake

# explicitly define, as we build on top of an scl, not inside with scl_package
%{?scl:%global scl_prefix %{scl}-}
%global scl_ruby_bin /usr/bin/%{?scl:%{scl_prefix}}ruby
%global scl_rake /usr/bin/%{?scl:%{scl_prefix}}rake

# set and uncomment all three to set alpha tag
#global alphatag RC1
#global dotalphatag .%{alphatag}
#global dashalphatag -%{alphatag}

Name:   foreman
Version: 1.11.0.61
Release: 1%{?dist}
Summary:Systems Management web application

Group:  Applications/System
License: GPLv3+ with exceptions
URL: http://theforeman.org
Source0: http://satellite6.lab.eng.rdu2.redhat.com/pub/sources/6.2/%{name}-%{version}.tar.bz2
Source1: %{name}.init
Source2: %{name}.sysconfig
Source3: %{name}.logrotate
Source4: %{name}.cron.d
Source5: %{name}.tmpfiles
Patch0: foreman_theme_satellite.patch
BuildArch:  noarch

Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}rubygems
Requires: %{?scl_prefix_ruby}rubygem(rake) >= 0.8.3
Requires: %{?scl_prefix}rubygem(bundler_ext)
%if 0%{?scl:1}
Requires: %{scl}-runtime >= 2
Requires: %{scl}-runtime < 3
%endif

Requires: wget
Requires: /etc/cron.d
Requires(pre):  shadow-utils
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun): initscripts

# Subpackages
Requires: %{name}-debug

# Gemfile
Requires: %{?scl_prefix}rubygem(foreman_theme_satellite)
Requires: %{?scl_prefix_ror}rubygem(rails) = 4.1.5
Requires: %{?scl_prefix}rubygem(rest-client) >= 1.6
Requires: %{?scl_prefix}rubygem(rest-client) < 1.7
Requires: %{?scl_prefix}rubygem(audited-activerecord) >= 4.0
Requires: %{?scl_prefix}rubygem(audited-activerecord) < 5.0
Requires: %{?scl_prefix}rubygem(will_paginate) >= 3.0
Requires: %{?scl_prefix}rubygem(will_paginate) < 4.0
Requires: %{?scl_prefix}rubygem(ancestry) >= 2.0
Requires: %{?scl_prefix}rubygem(ancestry) < 3.0
Requires: %{?scl_prefix}rubygem(scoped_search) >= 3.2.2
Requires: %{?scl_prefix}rubygem(scoped_search) < 4.0
Requires: %{?scl_prefix}rubygem(ldap_fluff) >= 0.3.5
Requires: %{?scl_prefix}rubygem(ldap_fluff) < 1.0
Requires: %{?scl_prefix}rubygem(apipie-rails) >= 0.3.6
Requires: %{?scl_prefix}rubygem(apipie-rails) < 0.4.0
Requires: %{?scl_prefix}rubygem(rabl) >= 0.11
Requires: %{?scl_prefix}rubygem(rabl) < 1.0
Requires: %{?scl_prefix}rubygem(oauth) >= 0.4
Requires: %{?scl_prefix}rubygem(oauth) < 1.0
Requires: %{?scl_prefix}rubygem(deep_cloneable) >= 2.0
Requires: %{?scl_prefix}rubygem(deep_cloneable) < 3.0
Requires: %{?scl_prefix}rubygem(foreigner) >= 1.4
Requires: %{?scl_prefix}rubygem(foreigner) < 2.0
Requires: %{?scl_prefix}rubygem(validates_lengths_from_database) >= 0.5
Requires: %{?scl_prefix}rubygem(validates_lengths_from_database) < 1.0
Requires: %{?scl_prefix}rubygem(friendly_id) >= 5.0
Requires: %{?scl_prefix}rubygem(friendly_id) < 6.0
Requires: %{?scl_prefix}rubygem(secure_headers) >= 1.3
Requires: %{?scl_prefix}rubygem(secure_headers) < 2.0
Requires: %{?scl_prefix}rubygem(safemode) >= 1.2
Requires: %{?scl_prefix}rubygem(safemode) < 2.0
Requires: %{?scl_prefix}rubygem(fast_gettext) >= 0.8
Requires: %{?scl_prefix}rubygem(fast_gettext) < 1.0
Requires: %{?scl_prefix}rubygem(gettext_i18n_rails) >= 1.0
Requires: %{?scl_prefix}rubygem(gettext_i18n_rails) < 2.0
Requires: %{?scl_prefix}rubygem(rails-i18n) >= 4.0.0
Requires: %{?scl_prefix}rubygem(rails-i18n) < 4.1.0
Requires: %{?scl_prefix}rubygem(turbolinks) >= 2.5
Requires: %{?scl_prefix}rubygem(turbolinks) < 3.0
Requires: %{?scl_prefix}rubygem(logging) >= 1.8
Requires: %{?scl_prefix}rubygem(logging) < 3.0
Requires: %{?scl_prefix}rubygem(fog-core) = 1.36.0
Requires: %{?scl_prefix}rubygem(net-scp)
Requires: %{?scl_prefix}rubygem(net-ssh)
Requires: %{?scl_prefix}rubygem(net-ldap) >= 0.8.0
Requires: %{?scl_prefix}rubygem(activerecord-session_store) >= 0.1.1
Requires: %{?scl_prefix}rubygem(activerecord-session_store) < 0.2.0
Requires: %{?scl_prefix}rubygem(rails-observers) >= 0.1
Requires: %{?scl_prefix}rubygem(rails-observers) < 1.0
Requires: %{?scl_prefix}rubygem(protected_attributes) >= 1.1.1
Requires: %{?scl_prefix}rubygem(protected_attributes) < 1.2.0
Requires: %{?scl_prefix}rubygem(sprockets) >= 3
Requires: %{?scl_prefix}rubygem(sprockets) < 4
Requires: %{?scl_prefix}rubygem(sprockets-rails) >= 2.3.3
Requires: %{?scl_prefix}rubygem(sprockets-rails) < 3
# facter
%if 0%{?scl:1}
Requires: %{?scl_prefix}rubygem(facter)
%else
Requires: facter
%endif
# jsonp
Requires: %{?scl_prefix}rubygem(rack-jsonp)

# Build dependencies
BuildRequires: gettext
BuildRequires: asciidoc
BuildRequires: %{scl_ruby_bin}
BuildRequires: %{?scl_prefix_ruby}rubygems
BuildRequires: %{?scl_prefix_ruby}rubygem(rake) >= 0.8.3
BuildRequires: %{?scl_prefix}rubygem(bundler_ext)
BuildRequires: %{?scl_prefix_ror}rubygem(sqlite3)
# Gemfile
BuildRequires: %{?scl_prefix}rubygem(foreman_theme_satellite)
BuildRequires: %{?scl_prefix_ror}rubygem(rails) = 4.1.5
BuildRequires: %{?scl_prefix}rubygem(rest-client) >= 1.6
BuildRequires: %{?scl_prefix}rubygem(rest-client) < 1.7
BuildRequires: %{?scl_prefix}rubygem(audited-activerecord) >= 4.0
BuildRequires: %{?scl_prefix}rubygem(audited-activerecord) < 5.0
BuildRequires: %{?scl_prefix}rubygem(will_paginate) >= 3.0
BuildRequires: %{?scl_prefix}rubygem(will_paginate) < 4.0
BuildRequires: %{?scl_prefix}rubygem(ancestry) >= 2.0
BuildRequires: %{?scl_prefix}rubygem(ancestry) < 3.0
BuildRequires: %{?scl_prefix}rubygem(scoped_search) >= 3.2.2
BuildRequires: %{?scl_prefix}rubygem(scoped_search) < 4.0
BuildRequires: %{?scl_prefix}rubygem(ldap_fluff) >= 0.3.5
BuildRequires: %{?scl_prefix}rubygem(ldap_fluff) < 1.0
BuildRequires: %{?scl_prefix}rubygem(apipie-rails) >= 0.3.6
BuildRequires: %{?scl_prefix}rubygem(apipie-rails) < 0.4.0
BuildRequires: %{?scl_prefix}rubygem(rabl) >= 0.11
BuildRequires: %{?scl_prefix}rubygem(rabl) < 1.0
BuildRequires: %{?scl_prefix}rubygem(oauth) >= 0.4
BuildRequires: %{?scl_prefix}rubygem(oauth) < 1.0
BuildRequires: %{?scl_prefix}rubygem(deep_cloneable) >= 2.0
BuildRequires: %{?scl_prefix}rubygem(deep_cloneable) < 3.0
BuildRequires: %{?scl_prefix}rubygem(foreigner) >= 1.4
BuildRequires: %{?scl_prefix}rubygem(foreigner) < 2.0
BuildRequires: %{?scl_prefix}rubygem(validates_lengths_from_database) >= 0.5
BuildRequires: %{?scl_prefix}rubygem(validates_lengths_from_database) < 1.0
BuildRequires: %{?scl_prefix}rubygem(friendly_id) >= 5.0
BuildRequires: %{?scl_prefix}rubygem(friendly_id) < 6.0
BuildRequires: %{?scl_prefix}rubygem(secure_headers) >= 1.3
BuildRequires: %{?scl_prefix}rubygem(secure_headers) < 2.0
BuildRequires: %{?scl_prefix}rubygem(safemode) >= 1.2
BuildRequires: %{?scl_prefix}rubygem(safemode) < 2.0
BuildRequires: %{?scl_prefix}rubygem(fast_gettext) >= 0.8
BuildRequires: %{?scl_prefix}rubygem(fast_gettext) < 1.0
BuildRequires: %{?scl_prefix}rubygem(gettext_i18n_rails) >= 1.0
BuildRequires: %{?scl_prefix}rubygem(gettext_i18n_rails) < 2.0
BuildRequires: %{?scl_prefix}rubygem(rails-i18n) >= 4.0.0
BuildRequires: %{?scl_prefix}rubygem(rails-i18n) < 4.1.0
BuildRequires: %{?scl_prefix}rubygem(turbolinks) >= 2.5
BuildRequires: %{?scl_prefix}rubygem(turbolinks) < 3.0
BuildRequires: %{?scl_prefix}rubygem(logging) >= 1.8
BuildRequires: %{?scl_prefix}rubygem(logging) < 3.0
BuildRequires: %{?scl_prefix}rubygem(fog-core) = 1.36.0
BuildRequires: %{?scl_prefix}rubygem(net-scp)
BuildRequires: %{?scl_prefix}rubygem(net-ssh)
BuildRequires: %{?scl_prefix}rubygem(net-ldap) >= 0.8.0
BuildRequires: %{?scl_prefix}rubygem(activerecord-session_store) >= 0.1.1
BuildRequires: %{?scl_prefix}rubygem(activerecord-session_store) < 0.2.0
BuildRequires: %{?scl_prefix}rubygem(rails-observers) >= 0.1
BuildRequires: %{?scl_prefix}rubygem(rails-observers) < 1.0
BuildRequires: %{?scl_prefix}rubygem(protected_attributes) >= 1.1.1
BuildRequires: %{?scl_prefix}rubygem(protected_attributes) < 1.2.0
BuildRequires: %{?scl_prefix}rubygem(sprockets) >= 3
BuildRequires: %{?scl_prefix}rubygem(sprockets) < 4
BuildRequires: %{?scl_prefix}rubygem(sprockets-rails) >= 2.3.3
BuildRequires: %{?scl_prefix}rubygem(sprockets-rails) < 3
# assets
BuildRequires: %{?scl_prefix}rubygem(ace-rails-ap) >= 4.0.0
BuildRequires: %{?scl_prefix}rubygem(ace-rails-ap) < 4.1.0
BuildRequires: %{?scl_prefix}rubygem(sass-rails) >= 5
BuildRequires: %{?scl_prefix}rubygem(sass-rails) < 6
BuildRequires: %{?scl_prefix_ror}rubygem(uglifier) >= 1.0.3
BuildRequires: %{?scl_prefix_ror}rubygem(execjs) >= 1.4.0
BuildRequires: %{?scl_prefix_ror}rubygem(execjs) < 2.5.0
BuildRequires: %{?scl_prefix_ror}rubygem(jquery-rails) >= 3.1
BuildRequires: %{?scl_prefix_ror}rubygem(jquery-rails) < 4.0
BuildRequires: %{?scl_prefix}rubygem(jquery-ui-rails) < 5.0.0
BuildRequires: %{?scl_prefix}rubygem(autoprefixer-rails) >= 5.2
BuildRequires: %{?scl_prefix}rubygem(autoprefixer-rails) < 6.0
BuildRequires: %{?scl_prefix}rubygem(patternfly-sass) >= 2.7
BuildRequires: %{?scl_prefix}rubygem(patternfly-sass) < 2.10.0
BuildRequires: %{?scl_prefix}rubygem(spice-html5-rails) >= 0.1.5
BuildRequires: %{?scl_prefix}rubygem(spice-html5-rails) < 0.2.0
BuildRequires: %{?scl_prefix}rubygem(flot-rails) = 0.0.3
BuildRequires: %{?scl_prefix}rubygem(quiet_assets) >= 1.0
BuildRequires: %{?scl_prefix}rubygem(quiet_assets) < 2.0
BuildRequires: %{?scl_prefix}rubygem(gettext_i18n_rails_js) >= 1.0
BuildRequires: %{?scl_prefix}rubygem(gettext_i18n_rails_js) < 2.0
BuildRequires: %{?scl_prefix}rubygem(multi-select-rails) >= 0.9
BuildRequires: %{?scl_prefix}rubygem(multi-select-rails) < 1.0
BuildRequires: %{?scl_prefix}rubygem(gridster-rails) >= 0.5
BuildRequires: %{?scl_prefix}rubygem(gridster-rails) < 1.0
BuildRequires: %{?scl_prefix}rubygem(jquery_pwstrength_bootstrap_4) >= 1.2
BuildRequires: %{?scl_prefix}rubygem(jquery_pwstrength_bootstrap_4) < 2.0
BuildRequires: %{?scl_prefix}rubygem(jquery-turbolinks) >= 2.1
BuildRequires: %{?scl_prefix}rubygem(jquery-turbolinks) < 3.0
BuildRequires: %{?scl_prefix}rubygem(select2-rails) >= 3.5
BuildRequires: %{?scl_prefix}rubygem(select2-rails) < 4.0
BuildRequires: %{?scl_prefix}rubygem(underscore-rails) >= 1.8
BuildRequires: %{?scl_prefix}rubygem(underscore-rails) < 2.0
# therubyracer
BuildRequires: %{?scl_prefix_ror}rubygem(therubyracer)
# facter
%if 0%{?scl:1}
BuildRequires: %{?scl_prefix}rubygem(facter)
%else
BuildRequires: facter
%endif

%package cli
Summary: Foreman CLI
Group: Applications/System
Requires: %{?scl_prefix}rubygem(hammer_cli_foreman)

%description cli
Meta Package to install hammer rubygems and its dependencies

%files cli

%package debug
Summary: Foreman debug utilities
Group: Applications/System
Requires: rsync

%description debug
Useful utilities for debug info collection

%files debug
%{_sbindir}/%{name}-debug
%{_datadir}/%{name}/script/%{name}-debug.d

%package libvirt
Summary: Foreman libvirt support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(fog-libvirt) >= 0.0.2
Requires: %{?scl_prefix}rubygem(fog-libvirt) < 1.0
%if 0%{?fedora}
Requires: %{?scl_prefix}ruby-libvirt >= 0.5
Requires: %{?scl_prefix}ruby-libvirt < 1.0
%else
Requires: %{?scl_prefix}rubygem(ruby-libvirt) >= 0.4
Requires: %{?scl_prefix}rubygem(ruby-libvirt) < 1.0
%endif
Requires: %{name} = %{version}-%{release}
Obsoletes: foreman-virt < 1.0.0
Provides: foreman-virt = 1.0.0

%description libvirt
Meta package to install requirements for libvirt compute resource support.

%files libvirt
%{_datadir}/%{name}/bundler.d/libvirt.rb

%package openstack
Summary: Foreman OpenStack support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(fog-openstack) >= 0.1
Requires: %{?scl_prefix}rubygem(fog-openstack) < 1.0
Requires: %{name} = %{version}-%{release}

%description openstack
Meta package to install requirements for OpenStack compute resource support.

%files openstack
%{_datadir}/%{name}/bundler.d/openstack.rb

%package ovirt
Summary: Foreman oVirt support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(rbovirt) >= 0.0.32
Requires: %{?scl_prefix}rubygem(rbovirt) < 0.1.0
Requires: foreman-compute = %{version}-%{release}
Requires: %{name} = %{version}-%{release}

%description ovirt
Meta package to install requirements for oVirt compute resource support.

%files ovirt
%{_datadir}/%{name}/bundler.d/ovirt.rb

%package compute
Summary: Foreman compute resource Fog dependencies
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(fog) = 1.38.0
Requires: %{name} = %{version}-%{release}
Obsoletes: foreman-compute < 1.8.0
Obsoletes: foreman-fog < 1.0.0
Provides: foreman-fog = 1.0.0
Obsoletes: foreman-ec2 < 1.3.0

%description compute
Meta package to install dependencies to support some compute resources. Most
compute resources have a more specific package which should be installed in
preference to this package.

%files compute
%{_datadir}/%{name}/bundler.d/fog.rb

%package ec2
Summary:   Foreman Amazon Web Services (AWS) EC2 support
Group:     Applications/System
Requires:  %{?scl_prefix}rubygem(fog-aws) >= 0.1.0
Requires:  %{?scl_prefix}rubygem(fog-aws) < 1.0.0
Requires:  %{name} = %{version}-%{release}

%description ec2
Meta package to install requirements for Amazon Web Services (AWS) EC2 support.

%files ec2
%{_datadir}/%{name}/bundler.d/ec2.rb

%package rackspace
Summary: Foreman Rackspace support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(fog-rackspace) >= 0.1
Requires: %{?scl_prefix}rubygem(fog-rackspace) < 1.0
Requires: %{name} = %{version}-%{release}

%description rackspace
Meta package to install requirements for Rackspace compute resource support.

%files rackspace
%{_datadir}/%{name}/bundler.d/rackspace.rb

%package vmware
Summary: Foreman VMware support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(fog-vsphere) >= 0.6.2
Requires: %{name} = %{version}-%{release}

%description vmware
Meta package to install requirements for VMware compute resource support.

%files vmware
%{_datadir}/%{name}/bundler.d/vmware.rb

%package gce
Summary: Foreman Google Compute Engine (GCE) support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(fog-google) >= 0.0
Requires: %{?scl_prefix}rubygem(fog-google) <= 0.1.0
Requires: %{?scl_prefix}rubygem(google-api-client) >= 0.7
Requires: %{?scl_prefix}rubygem(google-api-client) < 1.0
Requires: %{?scl_prefix}rubygem(sshkey) >= 1.3
Requires: %{?scl_prefix}rubygem(sshkey) < 2.0
Requires: %{name} = %{version}-%{release}

%description gce
Meta package to install requirements for Google Compute Engine (GCE) support

%files gce
%{_datadir}/%{name}/bundler.d/gce.rb

%package assets
Summary: Foreman asset pipeline support
Group: Applications/system
Requires: %{name} = %{version}-%{release}
Requires: %{?scl_prefix}rubygem(ace-rails-ap) >= 4.0.0
Requires: %{?scl_prefix}rubygem(ace-rails-ap) < 4.1.0
Requires: %{?scl_prefix}rubygem(sass-rails) >= 5
Requires: %{?scl_prefix}rubygem(sass-rails) < 6
Requires: %{?scl_prefix_ror}rubygem(uglifier) >= 1.0.3
Requires: %{?scl_prefix_ror}rubygem(execjs) >= 1.4.0
Requires: %{?scl_prefix_ror}rubygem(jquery-rails) >= 3.1
Requires: %{?scl_prefix_ror}rubygem(jquery-rails) < 4.0
Requires: %{?scl_prefix}rubygem(jquery-ui-rails) < 5.0.0
Requires: %{?scl_prefix}rubygem(autoprefixer-rails) >= 5.2
Requires: %{?scl_prefix}rubygem(autoprefixer-rails) < 6.0
Requires: %{?scl_prefix}rubygem(patternfly-sass) >= 2.7
Requires: %{?scl_prefix}rubygem(patternfly-sass) < 2.10.0
Requires: %{?scl_prefix}rubygem(spice-html5-rails) >= 0.1.5
Requires: %{?scl_prefix}rubygem(spice-html5-rails) < 0.2.0
Requires: %{?scl_prefix}rubygem(flot-rails) = 0.0.3
Requires: %{?scl_prefix}rubygem(quiet_assets) >= 1.0
Requires: %{?scl_prefix}rubygem(quiet_assets) < 2.0
Requires: %{?scl_prefix}rubygem(gettext_i18n_rails_js) >= 1.0
Requires: %{?scl_prefix}rubygem(gettext_i18n_rails_js) < 2.0
Requires: %{?scl_prefix}rubygem(multi-select-rails) >= 0.9
Requires: %{?scl_prefix}rubygem(multi-select-rails) < 1.0
Requires: %{?scl_prefix}rubygem(gridster-rails) >= 0.5
Requires: %{?scl_prefix}rubygem(gridster-rails) < 1.0
Requires: %{?scl_prefix}rubygem(jquery_pwstrength_bootstrap_4) >= 1.2
Requires: %{?scl_prefix}rubygem(jquery_pwstrength_bootstrap_4) < 2.0
Requires: %{?scl_prefix}rubygem(jquery-turbolinks) >= 2.1
Requires: %{?scl_prefix}rubygem(jquery-turbolinks) < 3.0
Requires: %{?scl_prefix}rubygem(select2-rails) >= 3.5
Requires: %{?scl_prefix}rubygem(select2-rails) < 4.0
Requires: %{?scl_prefix}rubygem(underscore-rails) >= 1.8
Requires: %{?scl_prefix}rubygem(underscore-rails) < 2.0
# therubyracer
Requires: %{?scl_prefix_ror}rubygem(therubyracer)

%description assets
Meta package to install asset pipeline support.

%files assets
%{_datadir}/%{name}/bundler.d/assets.rb
%{_datadir}/%{name}/bundler.d/therubyracer.rb

%package plugin
Summary: Foreman plugin support
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: %{name}-sqlite = %{version}-%{release}

%description plugin
Meta package with support for plugins.

%files plugin
%{_sysconfdir}/rpm/macros.%{name}-plugin


%package console
Summary: Foreman console support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(wirb) >= 1.0
Requires: %{?scl_prefix}rubygem(wirb) < 2.0
Requires: %{?scl_prefix}rubygem(hirb-unicode) >= 0.0.5
Requires: %{?scl_prefix}rubygem(hirb-unicode) < 0.1
Requires: %{?scl_prefix}rubygem(awesome_print) >= 1.0
Requires: %{?scl_prefix}rubygem(awesome_print) < 2.0
Requires: %{name} = %{version}-%{release}

%description console
Meta Package to install requirements for console support

%files console
%{_datadir}/%{name}/bundler.d/console.rb

%package mysql2
Summary: Foreman mysql2 support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(mysql2) >= 0.3.10
Requires: %{?scl_prefix}rubygem(mysql2) < 0.4.0
Requires: %{name} = %{version}-%{release}
Obsoletes: %{name}-mysql < 1.4.0
Provides: %{name}-mysql = %{version}

%description mysql2
Meta Package to install requirements for mysql2 support

%files mysql2
%{_datadir}/%{name}/bundler.d/mysql2.rb

%package postgresql
Summary: Foreman Postgresql support
Group:  Applications/System
Requires: %{?scl_prefix}rubygem(pg) >= 0.15.0
Requires: %{?scl_prefix}rubygem(pg) < 1.0
Requires: %{name} = %{version}-%{release}

%description postgresql
Meta Package to install requirements for postgresql support

%files postgresql
%{_datadir}/%{name}/bundler.d/postgresql.rb

%package sqlite
Summary: Foreman sqlite support
Group:  Applications/System
Requires: %{?scl_prefix_ror}rubygem(sqlite3) >= 1.3.5
Requires: %{?scl_prefix_ror}rubygem(sqlite3) < 1.4.0
Requires: %{name} = %{version}-%{release}

%description sqlite
Meta Package to install requirements for sqlite support

%files sqlite
%{_datadir}/%{name}/bundler.d/sqlite.rb

%description
Foreman is aimed to be a Single Address For All Machines Life Cycle Management.
Foreman is based on Ruby on Rails, and this package bundles Rails and all
plugins required for Foreman to work.

%prep
%setup -q -n %{name}-%{version}%{?dashalphatag}
%patch0 -p1

%build
#build man pages
%{scl_rake} -f Rakefile.dist build \
  PREFIX=%{_prefix} \
  SBINDIR=%{_sbindir} \
  SYSCONFDIR=%{_sysconfdir} \
  --trace

#replace shebangs and binaries in scripts for SCL
%if %{?scl:1}%{!?scl:0}
  # shebangs
  for f in extras/rdoc/rdoc_prepare_script.rb \
  bin/* script/performance/profiler script/performance/benchmarker script/foreman-config ; do
    sed -ri '1sX(/usr/bin/ruby|/usr/bin/env ruby)X%{scl_ruby_bin}X' $f
  done
  sed -ri '1,$sX/usr/bin/rubyX%{scl_ruby_bin}X' %{SOURCE1}
  # script content
  sed -ri 'sX/usr/bin/rakeX%{scl_rake}X' extras/dbmigrate script/foreman-rake
%endif

#build locale files
make -C locale all-mo

#use Bundler_ext instead of Bundler
mv Gemfile Gemfile.in
cp config/database.yml.example config/database.yml
cp config/settings.yaml.example config/settings.yaml
#we need to allow taxonomies so apipie cache renders documentation with them
sed -i 's/:locations_enabled: false/:locations_enabled: true/' config/settings.yaml
sed -i 's/:organizations_enabled: false/:organizations_enabled: true/' config/settings.yaml
export BUNDLER_EXT_NOSTRICT=1
export BUNDLER_EXT_GROUPS="default assets"
%{scl_rake} assets:precompile RAILS_ENV=production --trace
%{scl_rake} db:migrate RAILS_ENV=production --trace
%{scl_rake} apipie:cache RAILS_ENV=production cache_part=resources --trace
rm config/database.yml config/settings.yaml

%install
rm -rf %{buildroot}

#install man pages
%{scl_rake} -f Rakefile.dist install \
  PREFIX=%{buildroot}%{_prefix} \
  SBINDIR=%{buildroot}%{_sbindir} \
  SYSCONFDIR=%{buildroot}%{_sysconfdir} \
  --trace
%{scl_rake} -f Rakefile.dist clean

install -d -m0755 %{buildroot}%{_datadir}/%{name}
install -d -m0755 %{buildroot}%{_datadir}/%{name}/plugins
install -d -m0755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m0755 %{buildroot}%{_sysconfdir}/%{name}/plugins
install -d -m0755 %{buildroot}%{_localstatedir}/lib/%{name}
install -d -m0755 %{buildroot}%{_localstatedir}/lib/%{name}/tmp
install -d -m0755 %{buildroot}%{_localstatedir}/lib/%{name}/tmp/pids
install -d -m0755 %{buildroot}%{_localstatedir}/run/%{name}
install -d -m0750 %{buildroot}%{_localstatedir}/log/%{name}
install -d -m0750 %{buildroot}%{_localstatedir}/log/%{name}/plugins
install -Dp -m0755 script/%{name}-debug %{buildroot}%{_sbindir}/%{name}-debug
install -Dp -m0755 script/%{name}-rake %{buildroot}%{_sbindir}/%{name}-rake
install -Dp -m0755 script/%{name}-tail %{buildroot}%{_sbindir}/%{name}-tail
install -Dp -m0755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
install -Dp -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -Dp -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -Dp -m0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/cron.d/%{name}
%if 0%{?rhel} > 6 || 0%{?fedora} > 16
install -Dp -m0644 %{SOURCE5} %{buildroot}%{_prefix}/lib/tmpfiles.d/%{name}.conf
%endif

cp -p Gemfile.in %{buildroot}%{_datadir}/%{name}/Gemfile.in
cp -p -r app bin bundler.d config config.ru extras lib locale Rakefile script %{buildroot}%{_datadir}/%{name}
rm -rf %{buildroot}%{_datadir}/%{name}/extras/{jumpstart,spec}

# remove all test units from produciton release
find %{buildroot}%{_datadir}/%{name} -type d -name "test" |xargs rm -rf

# Move config files to %{_sysconfdir}
mv %{buildroot}%{_datadir}/%{name}/config/database.yml.example %{buildroot}%{_datadir}/%{name}/config/database.yml
mv %{buildroot}%{_datadir}/%{name}/config/email.yaml.example %{buildroot}%{_datadir}/%{name}/config/email.yaml
mv %{buildroot}%{_datadir}/%{name}/config/settings.yaml.example %{buildroot}%{_datadir}/%{name}/config/settings.yaml

for i in database.yml email.yaml logging.yaml settings.yaml foreman-debug.conf; do
mv %{buildroot}%{_datadir}/%{name}/config/$i %{buildroot}%{_sysconfdir}/%{name}
ln -sv %{_sysconfdir}/%{name}/$i %{buildroot}%{_datadir}/%{name}/config/$i
done

# Put db in %{_localstatedir}/lib/%{name}/db
cp -pr db/migrate db/seeds.rb db/seeds.d %{buildroot}%{_datadir}/%{name}
mkdir %{buildroot}%{_localstatedir}/lib/%{name}/db

ln -sv %{_localstatedir}/lib/%{name}/db %{buildroot}%{_datadir}/%{name}/db
ln -sv %{_datadir}/%{name}/migrate %{buildroot}%{_localstatedir}/lib/%{name}/db/migrate
ln -sv %{_datadir}/%{name}/seeds.rb %{buildroot}%{_localstatedir}/lib/%{name}/db/seeds.rb
ln -sv %{_datadir}/%{name}/seeds.d %{buildroot}%{_localstatedir}/lib/%{name}/db/seeds.d

# Put HTML %{_localstatedir}/lib/%{name}/public
cp -pr public %{buildroot}%{_localstatedir}/lib/%{name}/
ln -sv %{_localstatedir}/lib/%{name}/public %{buildroot}%{_datadir}/%{name}/public

# Put logs in %{_localstatedir}/log/%{name}
ln -sv %{_localstatedir}/log/%{name} %{buildroot}%{_datadir}/%{name}/log

# Put tmp files in %{_localstatedir}/run/%{name}
ln -sv %{_localstatedir}/run/%{name} %{buildroot}%{_datadir}/%{name}/tmp

# Symlink plugin settings directory to
ln -sv %{_sysconfdir}/%{name}/plugins %{buildroot}%{_datadir}/%{name}/config/settings.plugins.d

# Create VERSION file
install -pm0644 VERSION %{buildroot}%{_datadir}/%{name}/VERSION

# Create RPM macros for plugin packages to use at build time
mkdir -p %{buildroot}%{_sysconfdir}/rpm
cat > %{buildroot}%{_sysconfdir}/rpm/macros.%{name} << EOF
# Common locations
%%%{name}_dir %{_datadir}/%{name}
%%%{name}_bundlerd_dir %%{%{name}_dir}/bundler.d
%%%{name}_log_dir %{_localstatedir}/log/%{name}

# Common commands
%%%{name}_rake         %{foreman_rake}
%%%{name}_db_migrate   %%{%{name}_rake} db:migrate >> %%{%{name}_log_dir}/db_migrate.log 2>&1 || :
%%%{name}_db_seed      %%{%{name}_rake} db:seed >> %%{%{name}_log_dir}/db_seed.log 2>&1 || :
%%%{name}_restart      (/sbin/service %{name} status && /sbin/service %{name} restart) >/dev/null 2>&1
EOF

cat > %{buildroot}%{_sysconfdir}/rpm/macros.%{name}-plugin << EOF
# Generate bundler.d file for a plugin
# -n<plugin_name>   Overrides default of gem_name
%%%{name}_bundlerd_file(n:) \\
mkdir -p %%{buildroot}%%{%{name}_bundlerd_dir} \\
cat <<GEMFILE > %%{buildroot}%%{%{name}_bundlerd_dir}/%%{-n*}%%{!?-n:%%{gem_name}}.rb \\
gem '%%{-n*}%%{!?-n:%%{gem_name}}' \\
GEMFILE

# Common locations
%%%{name}_bundlerd_plugin %%{%{name}_bundlerd_dir}/%%{gem_name}.rb
%%%{name}_pluginconf_dir %{_sysconfdir}/%{name}/plugins
# Common assets locations
%%%{name}_assets_plugin %%{gem_instdir}/public/assets/%%{gem_name}
# Common apipie locations
%%%{name}_apipie_cache_plugin %%{gem_instdir}/public/apipie-cache/plugin/%%{gem_name}
%%%{name}_apipie_cache_foreman %%{foreman_dir}/public/apipie-cache/plugin/%%{gem_name}
# build apipie cache index
%%%{name}_apipie_cache %%{%{name}_rake} apipie:cache:index >> %%{%{name}_log_dir}/apipie_cache.log 2>&1 || :

# Generate precompiled assets at gem_instdir/public/assets/gem_name/
# -r<rake_task>     Overrides rake task of plugin:assets:precompile[plugin_name]
# -n<plugin_name>   Overrides default of gem_name for precompile step
# -a                Prebuild apipie cache
# -s                Precompile assets
%%%{name}_precompile_plugin(r:n:as) \\
mkdir -p ./%{_datadir} \\
cp -r %%{%{name}_dir} ./%{_datadir} || echo 0 \\
mkdir -p ./%{_localstatedir}/lib/%{name} \\
cp -r %{_localstatedir}/lib/%{name}/db ./%{_localstatedir}/lib/%{name} || echo 0 \\
unlink ./%{_datadir}/%{name}/db \\
ln -sv \`pwd\`/%{_localstatedir}/lib/%{name}/db ./%{_datadir}/%{name}/db \\
pushd ./%%{%{name}_dir} \\
\\
sed -i 's/:locations_enabled: false/:locations_enabled: true/' \`pwd\`/config/settings.yaml \\
sed -i 's/:organizations_enabled: false/:organizations_enabled: true/' \`pwd\`/config/settings.yaml \\
export GEM_PATH=%%{buildroot}%%{gem_dir}:\${GEM_PATH:+\${GEM_PATH}}\${GEM_PATH:-\`%{?scl:scl enable %%{scl_ror} -- }ruby -e "print Gem.path.join(':')"\`} \\
cp %%{buildroot}%%{%{name}_bundlerd_dir}/%%{gem_name}.rb ./bundler.d/%%{gem_name}.rb \\
unlink tmp \\
\\
rm \`pwd\`/config/initializers/encryption_key.rb \\
/usr/bin/%%{?scl:%%{scl}-}rake security:generate_encryption_key \\
export BUNDLER_EXT_NOSTRICT=1 \\
%%{?-s:/usr/bin/%%{?scl:%%{scl}-}rake %%{-r*}%%{!?-r:plugin:assets:precompile[%%{-n*}%%{!?-n:%%{gem_name}}]} RAILS_ENV=production --trace} \\
%%{?-a:/usr/bin/%%{?scl:%%{scl}-}rake db:migrate RAILS_ENV=development --trace} \\
%%{?-a:/usr/bin/%%{?scl:%%{scl}-}rake plugin:apipie:cache[%%{gem_name}] RAILS_ENV=development cache_part=resources OUT=%%{buildroot}%%{gem_instdir}/public/apipie-cache/plugin/%%{gem_name} --trace} \\
\\
popd \\
rm -rf ./usr \\
%%{?-a:mkdir -p %%{buildroot}%%{foreman_dir}/public/apipie-cache/plugin} \\
%%{?-a:ln -s %%{gem_instdir}/public/apipie-cache/plugin/%%{gem_name} %%{buildroot}%%{foreman_dir}/public/apipie-cache/plugin/%%{gem_name}}
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc CHANGELOG Contributors LICENSE README.md VERSION
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/app
%exclude %{_datadir}/%{name}/app/assets
%exclude %{_datadir}/%{name}/script/%{name}-debug.d
%dir %{_datadir}/%{name}/bundler.d
%exclude %{_datadir}/%{name}/bundler.d/development.rb
%{_datadir}/%{name}/bundler.d/foreman_theme_satellite.rb
%{_datadir}/%{name}/bundler.d/facter.rb
%{_datadir}/%{name}/bundler.d/jsonp.rb
%exclude %{_datadir}/%{name}/bundler.d/openid.rb
%exclude %{_datadir}/%{name}/bundler.d/test.rb
%{_datadir}/%{name}/bin
%{_datadir}/%{name}/config*
%{_datadir}/%{name}/db
%{_datadir}/%{name}/extras
%{_datadir}/%{name}/Gemfile.in
%{_datadir}/%{name}/lib
%{_datadir}/%{name}/locale
%{_datadir}/%{name}/log
%{_datadir}/%{name}/migrate
%{_datadir}/%{name}/plugins
%{_datadir}/%{name}/public
%{_datadir}/%{name}/Rakefile
%{_datadir}/%{name}/script
%{_datadir}/%{name}/seeds.*
%attr(700,%{name},%{name}) %{_datadir}/%{name}/.ssh
%{_datadir}/%{name}/tmp
%{_datadir}/%{name}/VERSION
%{_initrddir}/%{name}
%{_sbindir}/%{name}-rake
%{_sbindir}/%{name}-tail
%{_mandir}/man8
%config(noreplace) %{_sysconfdir}/%{name}
%ghost %attr(0640,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/encryption_key.rb
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config %{_sysconfdir}/cron.d/%{name}
%{_sysconfdir}/rpm/macros.%{name}
%attr(-,%{name},%{name}) %{_localstatedir}/lib/%{name}
%attr(750,%{name},%{name}) %{_localstatedir}/log/%{name}
%attr(750,%{name},%{name}) %{_localstatedir}/log/%{name}/plugins
%attr(-,%{name},%{name}) %{_localstatedir}/run/%{name}
%attr(-,%{name},root) %{_datadir}/%{name}/config.ru
%attr(-,%{name},root) %{_datadir}/%{name}/config/environment.rb
# Symlink to /etc, EL6 needs attrs for ghost files, Fedora doesn't
%if 0%{?rhel} == 6
%ghost %attr(0777,root,root) %{_datadir}/%{name}/config/initializers/encryption_key.rb
%else
%ghost %{_datadir}/%{name}/config/initializers/encryption_key.rb
%endif
%ghost %attr(0640,root,%{name}) %config(noreplace) %{_datadir}/%{name}/config/initializers/local_secret_token.rb
# Only need tmpfiles on systemd (F17 and up)
%if 0%{?rhel} > 6 || 0%{?fedora} > 16
%{_prefix}/lib/tmpfiles.d/%{name}.conf
%endif

%pre
# Add the "foreman" user and group
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
useradd -r -g %{name} -d %{homedir} -s /sbin/nologin -c "Foreman" %{name}
exit 0

%post
# secret token used for cookie signing etc.
if [ ! -f %{_datadir}/%{name}/config/initializers/local_secret_token.rb ]; then
  touch %{_datadir}/%{name}/config/initializers/local_secret_token.rb
  chmod 0660 %{_datadir}/%{name}/config/initializers/local_secret_token.rb
  chgrp foreman %{_datadir}/%{name}/config/initializers/local_secret_token.rb
  %{foreman_rake} security:generate_token >/dev/null 2>&1 || :
  chmod 0640 %{_datadir}/%{name}/config/initializers/local_secret_token.rb
fi

# encryption key used to encrypt DB contents
# move the generated key file to /etc/foreman/ so users back it up, symlink to it from ~foreman
if [ ! -e %{_datadir}/%{name}/config/initializers/encryption_key.rb -a \
     ! -e %{_sysconfdir}/%{name}/encryption_key.rb ]; then
  touch %{_datadir}/%{name}/config/initializers/encryption_key.rb
  chmod 0660 %{_datadir}/%{name}/config/initializers/encryption_key.rb
  chgrp foreman %{_datadir}/%{name}/config/initializers/encryption_key.rb
  %{foreman_rake} security:generate_encryption_key >/dev/null 2>&1 || :
  chmod 0640 %{_datadir}/%{name}/config/initializers/encryption_key.rb
  mv %{_datadir}/%{name}/config/initializers/encryption_key.rb %{_sysconfdir}/%{name}/
fi
if [ ! -e %{_datadir}/%{name}/config/initializers/encryption_key.rb -a \
     -e %{_sysconfdir}/%{name}/encryption_key.rb ]; then
  ln -s %{_sysconfdir}/%{name}/encryption_key.rb %{_datadir}/%{name}/config/initializers/
fi

/sbin/chkconfig --add %{name} || :
(/sbin/service foreman status && /sbin/service foreman restart) >/dev/null 2>&1
exit 0

%posttrans
# We need to run the db:migrate after the install transaction
# always attempt to reencrypt after update in case new fields can be encrypted
%{foreman_rake} db:migrate db:encrypt_all >> %{_localstatedir}/log/%{name}/db_migrate.log 2>&1 || :
%{foreman_rake} db:seed >> %{_localstatedir}/log/%{name}/db_seed.log 2>&1 || :
%{foreman_rake} apipie:cache:index >> %{_localstatedir}/log/%{name}/apipie_cache.log 2>&1 || :
(/sbin/service foreman status && /sbin/service foreman restart) >/dev/null 2>&1
exit 0

%preun
if [ $1 -eq 0 ] ; then
/sbin/service %{name} stop >/dev/null 2>&1
/sbin/chkconfig --del %{name} || :
fi

%postun
if [ $1 -ge 1 ] ; then
# Restart the service
/sbin/service %{name} restart >/dev/null 2>&1 || :
fi

%changelog
* Tue Dec 13 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.61-1
- BZ #1404436 - Satellite 6.1.X -> 6.2.5 upgrade fails during db:migratio

* Mon Nov 28 2016 zjhuntin <zhunting@redhat.com> 1.11.0.59-1
- BZ #1374434 - Unable to modify user roles under adminstrative account with many Organizations associate

* Sat Nov 26 2016 zjhuntin <zhunting@redhat.com> 1.11.0.58-1
- BZ #1104822 - Users authenticated via external ldap contain no default context/locatio

* Wed Nov 23 2016 zjhuntin <zhunting@redhat.com> 1.11.0.57-1
- 

* Wed Nov 23 2016 zjhuntin <zhunting@redhat.com> 1.11.0.56-1
- BZ #1104822 - Users authenticated via external ldap contain no default context/location
- BZ #1104822 - Users authenticated via external ldap contain no default context/locatio

* Mon Nov 21 2016 zjhuntin <zhunting@redhat.com> 1.11.0.55-1
- BZ #1341338 - slow SQL query: UPDATE architectures SET hosts_count = COALESCE(hosts_count, 0) + 1 WHERE architectures.id = 1;
- BZ #1341338 - slow SQL query: UPDATE architectures SET hosts_count = COALESCE(hosts_count, 0) + 1 WHERE architectures.id = 1;
- BZ #1367136 - Hostgroup environment isn't inherited by Host via model AP

* Wed Sep 21 2016 zjhuntin <zhunting@redhat.com> 1.11.0.54-1
- BZ #1356714 - Puppet creates Duplicate profile in "All hosts" with FQDN if client is configured and registered with short name

* Tue Aug 30 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.53-1
- BZ #1332596 - Publishing or Promoting a Puppet Content View fails with "Validation failed: Merge overrides can only be set for array or hash, Avoid duplicates can only be set for arrays that have merge_overrides set to true"
- BZ #1281300 - Cannot assign "Admin" role for User Groups through hammer cli on Satellite 6.1.3
- BZ #1364235 - Stored XSS while provisioning new host
- BZ #1315282 - While adding parameter to any host if the parameter value contain the multiple space , it's generating the faulty yaml
- BZ #1336007 - Postgresql ShareLock problems while configuring puppet concurrentl

* Wed Aug 10 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.51-1
- BZ #1364049 - Puppet report page shows erro

* Mon Aug 01 2016 zjhuntin <zhunting@redhat.com> 1.11.0.50-1
- BZ #1342665 - CVE-2016-4475 - API and UI org/locations actions not limited to user's associated orgs/locations
- BZ #1292421 - Provisioning without tokens does not work through Capsul

* Mon Jul 18 2016 Zach Huntington-Meath <zhunting@redhat.com> 1.11.0.49-1
- BZ #1357122 - \[upgrade - with oscap] upgrade step migrate_foreman faile

* Wed Jul 13 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.48-1
- BZ #1353436 - \[upgrade] db migrate failed with error: undefined local variable or method 'openscap_proxy_id

* Wed Jul 13 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.47-1
- 

* Tue Jul 12 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.46-1
- BZ #1354572 - use edit_params as an alternative to view_params

* Thu Jul 07 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.44-1
- 

* Tue Jul 05 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.43-1
- BZ #1352054 - Removing parameters tab heading from subne

* Tue Jul 05 2016 Zach Huntington-Meath <zhunting@redhat.com> 1.11.0.42-1
- BZ #1343378 - editing puppet class parameter with arrays and hashes fails when not overridin

* Mon Jun 27 2016 Zach Huntington-Meath <zhunting@redhat.com> 1.11.0.40-1
- BZ #1296662 - view_params is missin

* Fri Jun 17 2016 Zach Huntington-Meath <zhunting@redhat.com> 1.11.0.39-1
- BZ #1344689 - \[upgrade] Host provisioning failed due to: an error rendering the Satellite Kickstart Default template
- BZ #1344006 - Can't update CA certificate for existing oVirt compute resourc

* Wed Jun 15 2016 Zach Huntington-Meath <zhunting@redhat.com> 1.11.0.38-1
- BZ #1343391 - Unable to add compute resource of type RHE

* Wed Jun 08 2016 Zach Huntington-Meath <zhunting@redhat.com> 1.11.0.37-1
- BZ #1335594 - Volume bootable checkbox broken in compute profiles in 1.11.

* Mon Jun 06 2016 Zach Huntington-Meath <zhunting@redhat.com> 1.11.0.36-1
- BZ #1341656 - Viewer role user can manage Content Views
- BZ #1339504 - PG::Error on viewing trend details after upgrade to 1.11.

* Mon Jun 06 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.35-1
- BZ #1337987 - Capsule import puppet classes per environment action permission erro

* Wed Jun 01 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.34-1
- BZ #1341860 - Fact import triggers ip conflicts checks, which drives cpu utilization to 100% on smart-prox

* Tue May 31 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.33-1
- BZ #1334669 - Unable to provision hosts on RHEV 3.5.x
- BZ #1337462 - Upgrade \[6.1.9 -> 6.2 snap12] failed to detect boot server: ERF12-5139 \[ProxyAPI::ProxyException]
- BZ #1335799 - Error notification stopped to show after going to the same page
- BZ #1334520 - Importing / publishing a CV with a class with a different default for a parameter wrongfully triggers validation and IS

* Thu May 26 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.32-1
- BZ #1337920 - Pull in the translations for snap 13

* Tue May 24 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.30-1
- BZ #1314352 - Selecting multiple cores per socket not working against vmware provider (image cloning

* Mon May 23 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.29-1
- BZ #1336450 - scroll bars missing in organization selection dropdow

* Mon May 16 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.28-1
- 615cd57a71bffa1d59267860949c1af279412316 ### BZ #1331862 - set context on ssh dir for rex snippet
- cc0c89230a12545cb484fb685195f9798014fb80 ### BZ #1335675 - migrate_foreman error upgrading from 6.1 to 6.2 -> error: users.helptips_enabled does not exist
- 8810c4c96002a4535b10202e8e30297cce841914 ### BZ #1334961 - migrate_foreman error upgrading from 6.1 to 6.2 -> error: katello_content_facets during foreman migration
- 172e12732942de26e7abe4e42252bfc7db6d5b7d ### BZ #1320131 - expanding a fact does not maintain search making it impossible to find values
- eab0f05e37ec24bd0d52a803a14dc242fae6c6ef ### BZ #1335664 - Pull in the translations for snap 12.
- dc8584d5c02e120fd5f810c43e0d5aadc84baaa5 ### BZ #1332989 - Statistics page reports: Unknown string "3.74 GiB

* Wed May 11 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.24-1
- BZ #1328487 - smart proxy puppet CA sub-tabs missing data-toggle="tab"
- BZ #1332186 - VM creation fails after IP conflic

* Tue May 10 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.23-1
- BZ #1323077 - "Power on" raises error when entrypoint is not on container's /home/ehelms/.rvm/gems/ruby-2.2.1/bin:/home/ehelms/.rvm/gems/ruby-2.2.1@global/bin:/home/ehelms/.rvm/rubies/ruby-2.2.1/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/home/ehelms/.rvm/bin:/home/ehelms/.local/bin:/home/ehelms/bin:/home/ehelms/.rvm/bin:/home/ehelms/.rvm/bin:/home/ehelms/.local/bin:/home/ehelms/bin - uninitialized constant Fog::Errors::Error::NotFoun

* Tue May 10 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.22-2
- refs #14368 - update Fog, add openstack and rackspace packages
  (dominic@cleal.org)

* Tue May 10 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.22-1
- BZ #1333027 - Migration error in foreman_bootdisk upgrading from 6.1 to 6.2
- BZ #1127267 - Hostgroup provisioning does not support nested group

* Wed May 04 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.21-1
- 

* Tue May 03 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.20-1
- BZ #1264916 - Missing variable to include Sat 6 Hostname in PXE Menus
- BZ #1319606 - pop over in reports page is unreadable
- BZ #1325644 - Dashboard widget rows are loaded in reverse order
- BZ #1324632 - Smart variable not showing whitespace validation
- BZ #1211613 - Power action "status" REST API responses from compute resources are not masked to shared values
- BZ #1319158 - Unable to select auth source for external user group
- BZ #1276780 - Host creation fails when creating libvirtd VM with bridged network
- BZ #1276780 - Host creation fails when creating libvirtd VM with bridged network
- BZ #1126731 - UI should throw proper validation error while updating some params with any random value(like utf-8 or -ve values)
- BZ #1236377 - Disassociate Hosts - possible error
- BZ #1236377 - Disassociate Hosts - possible error
- BZ #1326031 - Non-admin user receives permissions error on config_templates API
- BZ #1326037 - "Generated on" dashboard text has no padding against button
- BZ #1326036 - ENC smart proxy validation fails
- BZ #1326035 - Installer scenario answers files not picked up foreman-debug
- BZ #1326029 - Foreman-debug does not report SCL correctl

* Fri Apr 22 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.17-1
- BZ #1328878 - UI - show.html.erb error on accessing compute resource details on RHEL6.

* Sun Apr 17 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.16-1
- 

* Thu Apr 14 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.14-1
- BZ #1324177 - Default settings for Partition Tables and Provisioning Templates are broke

* Tue Apr 12 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.13-1
- BZ #1324616 - Job Templates page points user to TheForeman site for documentation
- BZ #1321826 - When creating new organization, host selection step won't show, if the user is n context of different organization.
- BZ #1321549 - selecting template while creating compute profile should automatically populate network and storage
- BZ #1321549 - selecting template while creating compute profile should automatically populate network and storag

* Mon Apr 11 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.12-1
- BZ #1322990 - compliance report searches fails
- BZ #1322938 - compliance reports from a particular org should be visible when org context is se

* Wed Apr 06 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.11-1
- BZ #1324002 Update locales to reflect capsule capitalization and revert of VM Attributes unneeded conversio

* Mon Apr 04 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.10-1
- BZ #1319630 - Networking snippet creating config files with wrong device name for alias and vlan interfaces
- BZ #1319766 - No validation for compute resource description length
- BZ #1313431 - Creating a 'new host' fails for lifecycle_env and content_view saying "can't be blank"
- BZ #1321549 - selecting template while creating compute profile should automatically populate network and storage
- BZ #1322565 - automatic locale translatio

* Tue Mar 29 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.9-1
- BZ #1317846 - Cannot work with properties when create new organization
- BZ #1318629 - GET/POST/PUT /api/v2/auth_source_ldaps/ do not return groups_base attribute
- BZ #1321104 - Configuration status is getting marked out of sync incorrectly

* Mon Mar 21 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.7-1
- 

* Sat Mar 12 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.6-1
- 

* Sun Mar 06 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.5-1
- 

* Tue Mar 01 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.4-1
- 

* Thu Feb 25 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.3-2
- Foreman require 0.3.6 minimum of apipie-rails (ericdhelms@gmail.com)

* Thu Feb 25 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.3-1
- Bump version to 1.11.0.3 (ericdhelms@gmail.com)

* Thu Feb 25 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.2-2
- 

* Wed Feb 24 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.2-1
- Update foreman to 1.11.0.2 (ericdhelms@gmail.com)

* Tue Feb 23 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.1-4
- Remove requires on release package from plugin (ericdhelms@gmail.com)

* Tue Feb 23 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.1-3
- Remove repo/GPG key files not used in Foreman (ericdhelms@gmail.com)

* Tue Feb 23 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.1-2
- Add in missing patch for foreman.spec (ericdhelms@gmail.com)

* Mon Feb 22 2016 Eric D Helms <ericdhelms@gmail.com> 1.11.0.1-1
- Update foreman to 1.11.0.1 (ericdhelms@gmail.com)

* Wed Oct 07 2015 Dominic Cleal <dcleal@redhat.com> - 1.11.0-0.develop
- Bump version to 1.11-develop

* Fri Jun 26 2015 Dominic Cleal <dcleal@redhat.com> - 1.10.0-0.develop
- Bump version to 1.10-develop

* Tue Mar 03 2015 Dominic Cleal <dcleal@redhat.com> - 1.9.0-0.develop
- Bump version to 1.9-develop

* Tue Oct 28 2014 Dominic Cleal <dcleal@redhat.com> - 1.8.0-0.develop
- Bump version to 1.8-develop

* Mon Aug 11 2014 Dominic Cleal <dcleal@redhat.com> - 1.7.0-0.develop
- Bump version to 1.7-develop

* Wed Apr 16 2014 Dominic Cleal <dcleal@redhat.com> - 1.6.0-0.develop
- Bump version to 1.6-develop

* Thu Jan 16 2014 Dominic Cleal <dcleal@redhat.com> - 1.5.0-0.develop
- Bump version to 1.5-develop
- Remove rails3_before_render dependency
- generate encryption key and encrypt data in postinstall (#2929)

* Thu Nov 21 2013 Dominic Cleal <dcleal@redhat.com> - 1.4.0-0.develop
- Bump and change versioning scheme, don't overwrite VERSION (#3712)
- Pin fog to 1.18.x
- Add new rails3_before_render dependency
- Removed foreman-mysql package (obsoleted by mysql2)
- Seed database after DB migration
- Change twitter-bootstrap-rails to bootstrap-sass
- Pin fog to 1.19.x
- Add BR and explicit dependency on Ruby binary, for ruby193-ruby-wrapper

* Tue Nov 12 2013 Sam Kottler <shk@redhat.com> - 1.3.9999-7
- Add rubygem-unf as a requires for the compute subpackage

* Sun Nov 10 2013 Dominic Cleal <dcleal@redhat.com> - 1.3.9999-6
* Add foreman-gce subpackage for Google Compute Engine

* Wed Nov 6 2013 David Davis <daviddavis@redhat.com> - 1.3.9999-5
- Removing rr gem, fixes #3597

* Fri Oct 25 2013 Martin Bacovsky <mbacovsk@redhat.com> - 1.3.9999-4
- foreman-cli metapackage installs hammer

* Mon Sep 30 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.3.9999-3
- Adding Foreman plugins repo

* Fri Sep 27 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.3.9999-2
- Update rubygem-ancestry to 2.x

* Wed Sep 11 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.3.9999-1
- Bump to version 1.3-develop

* Wed Sep 11 2013 Dominic Cleal <dcleal@redhat.com> - 1.2.9999-11
- Add new foreigner and immigrant dependencies

* Mon Sep 09 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.2.9999-10
- Added dependency on fast_gettext 0.8 (multi-domain support)

* Mon Sep 02 2013 Greg Sutcliffe <gsutclif@redhat.com> 1.2.9999-9
- Remove Puppet from core requirements

* Fri Aug 16 2013 Sam Kottler <shk@redhat.com> 1.2.9999-8
- Update fog dependency to 1.15.0 to fix rackspace VM listing issue

* Wed Jul 24 2013 Jason Montleon <jmontleo@redhat.com> 1.2.9999-7
- Update rbovirt dependency version to 0.0.21 to support sending the host ssl certificate subject as an option to the xpi plugin

* Fri Jul 19 2013 Dominic Cleal <dcleal@redhat.com> 1.2.9999-6
- add foreman-rake to /usr/sbin

* Mon Jun 17 2013 Dominic Cleal <dcleal@redhat.com> 1.2.9999-5
- fix asset dependency versions
- add minitest dependency for console (Lukas Zapletal)

* Thu Jun 06 2013 Dominic Cleal <dcleal@redhat.com> 1.2.9999-4
- fix libvirt package dependency on ruby-libvirt

* Wed Jun 05 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 1.2.9999-3
- foreman-debug tool now installed into /usr/sbin

* Tue May 28 2013 Dominic Cleal <dcleal@redhat.com> 1.2.9999-2
- Don't force SCL
- Distribute GPG key
- Replace dist in foreman.repo
- Rename foreman-ec2 to foreman-compute
- Update dbmigrate for SCL (Lukas Zapletal)

* Mon May 20 2013 Dominic Cleal <dcleal@redhat.com> 1.2.9999-1
- Updated to 1.2.9999 (1.3-pre)

* Tue Apr 30 2013 Sam Kottler <shk@redhat.com> 1.1.9999-1
- Updated to 1.1.9999 (1.2-pre)

* Fri Feb 15 2013 shk@redhat.com 1.1-3
- Bumped safemode dependency

* Thu Feb 14 2013 shk@redhat.com 1.1-2
- Fixed baseurl in the -release subpackage.
- Updated to 1.1-1

* Mon Feb 4 2013 shk@redhat.com 1.1-1
- 1.1 final.

* Mon Jan 28 2013 shk@redhat.com 1.1RC5-2
- Bumped fog version dependency

* Fri Jan 25 2013 shk@redhat.com 1.1RC5-1
- Updated Rails requirements and bumped to RC5.

* Thu Dec 27 2012 shk@redhat.com 1.1RC3-1
- Updated to 1.1RC3 and updated dependencies.

* Wed Dec 19 2012 jmontleo@redhat.com 1.0.2-1
- Fix Foreman SQL injection through search mechanism CVE-2012-5648

* Thu Aug 09 2012 jmontleo@redhat.com 1.0.1-1
- Version 1.0.1

* Sun Aug 05 2012 jmontleo@redhat.com 1.0.0-2
- Update to pull in fixes

* Mon Jul 23 2012 jmontleo@redhat.com 1.0.0-1
- Update packages for Foreman 1.0 Release and add support for using thin.

* Wed Jul 18 2012 jmontleo@redhat.com 1.0.0-0.7
- Updated pacakages for Foreman 1.0 RC5 and Proxy RC2

* Thu Jul 05 2012 jmontleo@redhat.com 1.0.0-0.6
- Fix foreman-release to account for different archs. Pull todays source.

* Wed Jul 04 2012 jmontleo@redhat.com 1.0.0-0.5
- Bump version number and rebuild for RC3

* Sun Jul 01 2012 jmontleo@redhat.com 1.0.0-0.4
- Pull todays develop branch to fix dbmigrate issue, add mistakenly deleted version string back, and replace foreman-fog with foreman-ec2 as it indicates more clearly what functionality the package provides.

* Fri Jun 29 2012 jmontleo@redhat.com 1.0.0-0.3
- More fixes for dbmigrate, foreman-cli and foreman-release added

* Fri Jun 29 2012 jmontleo@redhat.com 1.0.0-0.2
- Rebuild with develop branch from today for 1.0.0 RC2. Try to fix inconsistent db:migrate runs on upgrades.

* Tue Jun 19 2012 jmontleo@redhat.com 0-5.1-20
- Implement conf.d style Gemfile configuration for bundle to replace the ugly method used in previous rpm versions. Replace foreman-virt package with foreman-libvirt package as it was confusing to have fog virt ovirt and vmware.

* Tue Jun 19 2012 jmontleo@redhat.com 0-5.1-9
- Rebuild with todays develop branch. Add VERSION file 1688, add wget dependency 1514, update rbovirt dep to 0.0.12, and break out ovirt support to foreman-ovirt package.

* Thu Jun 14 2012 jmontleo@redhat.com 0.5.1-8
- Rebuild with todays develop branch.

* Wed Jun 13 2012 jmontleo@redhat.com 0.5.1-7
- Rebuild with todays develop branch. Add require for at least rubygem-rake 0.9.2.2. Run rake:db migrate on upgrade.

* Wed May 30 2012 jmontleo@redhat.com 0.5.1-5
- Rebuild with todays merge of compute resource RBAC patch

* Tue May 29 2012 jmontleo@redhat.com 0.5.1-4
- Fix rpm dependencies for foreman-virt and foreman-vmware to include foreman-fog

* Tue May 29 2012 jmontleo@redhat.com 0.5.1-3
- tidy up postinstall prepbundle.sh, rebuild with EC2 support, and split out foreman-fog and foreman-vmware support

* Tue May 08 2012 jmontleo@redhat.com 0.5.1-1
- adding prepbundle.sh to run post install of any foreman packages, other small fixes

* Fri May 04 2012 jmontleo@redhat.com 0.5.1-0.2
- updated foreman to develop branch from May 04 which included many fixes including no longer requiring foreman-virt

* Wed Jan 11 2012 ohadlevy@gmail.com - 0.4.2
- rebuilt

* Tue Dec 6 2011 ohadlevy@gmail.com - 0.4.1
- rebuilt

* Tue Nov 08 2011 ohadlevy@gmail.com - 0.4
- rebuilt

* Mon Nov 07 2011 ohadlevy@gmail.com - 0.4rc5
- rebuilt

* Tue Oct 25 2011 ohadlevy@gmail.com - 0.4rc4
- rebuilt

* Tue Oct 18 2011 ohadlevy@gmail.com - 0.4rc3
- rebuilt

* Wed Sep 28 2011 ohadlevy@gmail.com - 0.4rc2
- rebuilt

* Sat Sep 10 2011 ohadlevy@gmail.com - 0.4rc1
- rebuilt

* Tue Jun 07 2011 ohadlevy@gmail.com - 0.3
- rebuilt

* Tue May 24 2011 ohadlevy@gmail.com - 0.3rc1-2
- rebuilt

* Thu May 05 2011 ohadlevy@gmail.com - 0.3rc1
- rebuilt

* Tue Mar 29 2011 ohadlevy@gmail.com - 0.2
- Version bump to 0.2

* Tue Mar 22 2011 ohadlevy@gmail.com - 0.2-rc1
- rebuilt

* Thu Feb 24 2011 ohadlevy@gmail.com - 0.1.7-rc5
- rebuilt

* Sat Feb 12 2011 ohadlevy@gmail.com - 0.1.7-rc4.1
- rebuilt

* Mon Jan 31 2011 ohadlevy@gmail.com - 0.1.7-rc3.1
- rebuilt

* Tue Jan 18 2011 ohadlevy@gmail.com - 0.1.7-rc2.1
- rebuilt

* Sat Jan 15 2011 ohadlevy@gmail.com - 0.1.7-rc2
- rebuilt

* Fri Dec 17 2010 ohadlevy@gmail.com - 0.1.7rc1
- rebuilt

* Mon Nov 29 2010 ohadlevy@gmail.com - 0.1.6-3
- rebuilt

* Fri Nov 12 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.6-1
- Included fix for #461, as without it newly installed instances are not usable

* Thu Nov 11 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.6
- New upstream version

* Sat Oct 30 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.6rc2
- New release candidate
- Updated configuration file permssion not to break passenger

* Sun Sep 19 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.6rc1
- Removed the depenecy upon rack 1.0.1 as its now bundled within Foreman

* Mon May 31 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.5-1
- New upstream version
- Added migration support between old directory layout to FHS compliancy, upgrades from 0.1-4.x should now work
- Added support for logrotate
- Cleanup old activescaffold plugin leftovers files

* Fri Apr 30 2010 Todd Zullinger <tmz@pobox.com> - 0.1.4-4
- Rework %%install for better FHS compliance
- Misc. adjustments to match Fedora/EPEL packaging guidelines
- Update License field to GPLv3+ to match README
- Use foreman as the primary group for the foreman user instead of puppet
- This breaks compatibility with previous RPM, as directories can't be replaced with links easily.

* Mon Apr 19 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1-4-3
- added status to startup script
- removed puppet module from the RPM

* Mon Apr 12 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.4-2
- Added startup script for built in webrick server
- Changed foreman user default shell to /sbin/nologin and is now part of the puppet group
- defaults to sqlite database

* Tue Apr 6 2010 Ohad Levy <ohadlevy@gmail.com> - 0.1.4-1
- Initial release.
